:root {
  /*color variables*/
  --purple-700: hsl(257, 40%, 49%);
  --magenta-400: hsl(300, 69%, 71%);
  /*font weights*/
  --fw-400: 400;
  --fw-600: 600;
}
@font-face {
  font-family: "Poppins";
  src: url("fonts/Poppins-Regular.woff");
}
@font-face {
  font-family: "OpenSans";
  src: url("fonts/OpenSans-VariableFont_wdth\,wght.ttf");
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  background-image: url("images/bg-desktop.svg");
  background-color: var(--purple-700);
  min-width: 100%;
  min-height: 100vh;
  color: white;
  font-family: "OpenSans";
  background-repeat: no-repeat;
  background-size: 100%;
}
header {
  padding: 4em;
  padding-bottom: 0.6em;
}
main {
  padding: 4em;
}
article {
  display: flex;
  gap: 2.5em;
}
h1 {
  font-family: "Poppins";
  font-weight: var(--fw-600);
  letter-spacing: 2px;
  font-size: 2em;
}
p {
  margin-top: 36px;
}
section#hero {
  padding: 0.4em;
  margin-top: 2.8em;
}
section#hero button {
  width: 150px;
  font-family: "OpenSans";
  padding: 14px;
  border-radius: 28px;
  border: none;
  color: var(--purple-700);
  background-color: white;
  margin-top: 39px;
  box-shadow: 2px 3px 5px 3px rgba(0, 0, 0, 0.404);
}
section#hero button:hover {
  color: white;
  background: var(--magenta-400);
}
aside {
  display: flex;
  justify-content: flex-end;
}
aside svg {
  border: 1px solid white;
  padding: 10px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin: 5px;
}
aside svg:hover {
  border-color: var(--magenta-400);
  color: var(--magenta-400);
}
@media (max-width: 50em) {
  body {
    background-image: url("images/bg-mobile.svg");
    background-size: 100%;
  }
  header,
  main {
    padding: 2em;
  }
  article {
    flex-direction: column;
  }
  h1 {
    letter-spacing: 0;
    font-size: 1.6em;
    margin-top: 20px;
  }
  p {
    font-size: 17px;
    margin-top: 16px;
  }
  section#hero {
    text-align: center;
    margin: 0;
    padding: 0;
  }
  section#hero button {
    width: 230px;
  }
  section#img img {
    width: 100%;
    height: auto;
  }
  aside {
    justify-content: center;
    margin-top: 5em;
  }
  aside svg {
    width: 30px;
    height: 30px;
    padding: 5px;
  }
}
